const { defineConfig } = require('cypress');
module.exports = defineConfig({
  projectId: 'et4snf',

  e2e: {
    setupNodeEvents(on, config) {
      require('@cypress/grep/src/plugin')(config);
      return config;
    },
    baseUrl: 'http://localhost:4200',
    fileServerFolder: '.',
    fixturesFolder: false,
    specPattern: './src/integration/*.ts',
    excludeSpecPattern: '**/*.js',
    modifyObstructiveCode: false,
    supportFile: './src/support/index.js',
    video: false,
    videoUploadOnPasses: false,
    videosFolder: '../../dist/cypress/apps/console-lite-e2e/videos',
    screenshotsFolder: '../../dist/cypress/apps/console-lite-e2e/screenshots',
    chromeWebSecurity: false,
    viewportWidth: 1440,
    viewportHeight: 900,
  },
  env: {
    ETHEREUM_PROVIDER_URL:
      'https://sepolia.infura.io/v3/4f846e79e13f44d1b51bbd7ed9edefb8',
    VEGA_PUBLIC_KEY:
      '47836c253520d2661bf5bed6339c0de08fd02cf5d4db0efee3b4373f20c7d278',
    VEGA_PUBLIC_KEY2:
      '1a18cdcaaa4f44a57b35a4e9b77e0701c17a476f2b407620f8c17371740cf2e4',
    TRUNCATED_VEGA_PUBLIC_KEY: '47836c…c7d278',
    TRUNCATED_VEGA_PUBLIC_KEY2: '1a18cd…0cf2e4',
    ETHEREUM_WALLET_ADDRESS: '0x265Cc6d39a1B53d0d92068443009eE7410807158',
    ETHERSCAN_URL: 'https://sepolia.etherscan.io',
    tsConfig: 'tsconfig.json',
    TAGS: 'not @todo and not @ignore and not @manual',
    TRADING_TEST_VEGA_WALLET_PASSPHRASE: '123',
    ETH_WALLET_MNEMONIC:
      'ugly gallery notice network true range brave clarify flat logic someone chunk',
    grepTags: '@regression @smoke @slow',
    grepFilterSpecs: true,
    grepOmitFiltered: true,
  },
});
